package staffrepository

import (
	"legalgo-BE-go/database"
	staffdomain "legalgo-BE-go/internal/domain/staff"
	userdomain "legalgo-BE-go/internal/domain/user"
)

type accessor struct {
	db *database.DB
}

type Staff interface {
	GetStaffByEmail(string) (*staffdomain.Staff, error)
	GetStaffByID(string) (*staffdomain.Staff, error)
	GetUsers() ([]userdomain.UserProfile, error)
	Create(staffdomain.Staff) error
	Update(staffdomain.Staff) error
}

func New(db *database.DB) Staff {
	return &accessor{db}
}
